summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Stu Miller <slackbuilds@go4it2day.com>2012-04-15 11:36:08 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-04-16 05:35:57 -0500
commit5b85cc87420e57ce670afce8b733e3395a336c3e (patch)
tree9e75f95cce68dadb1d2a275de099a06de2445c0e
parentc4e1a92e0b14e056ad7a347d7bd2ccd968437af9 (diff)
downloadslackbuilds-5b85cc87420e57ce670afce8b733e3395a336c3e.tar.gz
slackbuilds-5b85cc87420e57ce670afce8b733e3395a336c3e.tar.xz
libraries/iksemel: Added (XML parser for Jabber apps)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/iksemel/README10
-rw-r--r--libraries/iksemel/iksemel.SlackBuild110
-rw-r--r--libraries/iksemel/iksemel.info10
-rw-r--r--libraries/iksemel/slack-desc19
4 files changed, 149 insertions, 0 deletions
diff --git a/libraries/iksemel/README b/libraries/iksemel/README
new file mode 100644
index 0000000000..0ff588ce24
--- /dev/null
+++ b/libraries/iksemel/README
@@ -0,0 +1,10 @@
+iksemel is an XML (eXtensible Markup Language) parser library designed for Jabber applications.
+
+ * Highly portable, builds on all POSIX environments and Windows (via mingw).
+ * Suitable for embedded systems. Code is small and highly modular, you can trim unneeded parts. Memory usage is low, parser is quite fast.
+ * Provides SAX, DOM and XMPP parsers.
+ * TLS (via gnutls) and SASL support for XMPP security.
+ * Only UTF8 encoding is built-in supported.
+ * Fully documented with examples.
+
+iksemel is a dependancy for the re_jabber and chan_gtalk modules when building Asterisk. \ No newline at end of file
diff --git a/libraries/iksemel/iksemel.SlackBuild b/libraries/iksemel/iksemel.SlackBuild
new file mode 100644
index 0000000000..28b791dfac
--- /dev/null
+++ b/libraries/iksemel/iksemel.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for iksemel - XML parser and library for Jabber
+
+# Maintained by Stu Miller <slackbuilds@go4it2day.com>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iksemel
+VERSION=1.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/iksemel
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README AUTHORS ChangeLog COPYING HACKING INSTALL TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/iksemel/iksemel.info b/libraries/iksemel/iksemel.info
new file mode 100644
index 0000000000..c54d442fe0
--- /dev/null
+++ b/libraries/iksemel/iksemel.info
@@ -0,0 +1,10 @@
+PRGNAM="iksemel"
+VERSION="1.4"
+HOMEPAGE="http://code.google.com/p/iksemel/"
+DOWNLOAD="http://iksemel.googlecode.com/files/iksemel-1.4.tar.gz"
+MD5SUM="532e77181694f87ad5eb59435d11c1ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Stu Miller"
+EMAIL="slackbuilds@go4it2day.com"
+APPROVED="dsomero"
diff --git a/libraries/iksemel/slack-desc b/libraries/iksemel/slack-desc
new file mode 100644
index 0000000000..9f5bed6c2e
--- /dev/null
+++ b/libraries/iksemel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iksemel: iksemel (XML parser for Jabber apps)
+iksemel:
+iksemel: iksemel is an XML (eXtensible Markup Language)
+iksemel: parser library designed for Jabber applications
+iksemel:
+iksemel: Homepage: http://code.google.com/p/iksemel/
+iksemel:
+iksemel:
+iksemel:
+iksemel:
+iksemel: